# ARBProvokingVertex (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBProvokingVertex

    java.lang.Object
      org.lwjgl.opengl.ARBProvokingVertex

    public final class ARBProvokingVertex

extends java.lang.Object

Field Summary
`static int` `GL_FIRST_VERTEX_CONVENTION` Accepted by the <mode> parameter of ProvokingVertex:
`static int` `GL_LAST_VERTEX_CONVENTION` Accepted by the <mode> parameter of ProvokingVertex:
`static int` `GL_PROVOKING_VERTEX` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

Method Summary
`static void` `glProvokingVertex(int mode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_FIRST_VERTEX_CONVENTION

    public static final int GL_FIRST_VERTEX_CONVENTION

  Accepted by the <mode> parameter of ProvokingVertex:

  See Also:
    Constant Field Values

### GL_LAST_VERTEX_CONVENTION

    public static final int GL_LAST_VERTEX_CONVENTION

  Accepted by the <mode> parameter of ProvokingVertex:

  See Also:
    Constant Field Values

### GL_PROVOKING_VERTEX

    public static final int GL_PROVOKING_VERTEX

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION

    public static final int GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

Method Detail

### glProvokingVertex

    public static void glProvokingVertex(int mode)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.